  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* kaffe/kaffevm/jni.c (Kaffe_JNI_wrapper): call installMethodCode
	* kaffe/kaffevm/jit/machine.c (installMethodCode): remove `static'
	(translate): assume KAFFEJIT_TO_NATIVE defines meth->c.ncode

Index: kaffe/kaffevm/jni.c
===================================================================
RCS file: /home/msc/oliva/src/.cvs/kaffe/kaffe/kaffevm/jni.c,v
retrieving revision 1.5
diff -u -r1.5 jni.c
--- kaffe/kaffevm/jni.c	1998/08/06 01:35:46	1.5
+++ kaffe/kaffevm/jni.c	1998/08/09 09:30:15
@@ -4359,8 +4359,8 @@
 	}
 	finishInsnSequence(&ncode);
 
-	/* Install it */
-	SET_METHOD_NATIVECODE(xmeth, ncode.code);
+	installMethodCode(xmeth, &ncode);
+
 	xmeth->accflags |= ACC_JNI;
 }
 #endif
Index: kaffe/kaffevm/jit/machine.c
===================================================================
RCS file: /home/msc/oliva/src/.cvs/kaffe/kaffe/kaffevm/jit/machine.c,v
retrieving revision 1.7
diff -u -r1.7 machine.c
--- kaffe/kaffevm/jit/machine.c	1998/07/15 06:48:23	1.7
+++ kaffe/kaffevm/jit/machine.c	1998/08/09 09:34:45
@@ -112,7 +112,7 @@
 void	initInsnSequence(int, int, int);
 void	finishInsnSequence(nativeCodeInfo*);
 static void generateInsnSequence(void);
-static void installMethodCode(Method*, nativeCodeInfo*);
+void    installMethodCode(Method*, nativeCodeInfo*);
 static void checkCaughtExceptions(Method* meth, int pc);
 
 void	endBlock(sequence*);
@@ -183,7 +183,6 @@
 		native(meth);
 		KAFFEJIT_TO_NATIVE(meth);
 		/* Note that this is a real function not a trampoline.  */
-		meth->c.ncode.ncode_end = METHOD_NATIVECODE(meth);
 		unlockObjMutexDirect(&meth->class->head);
 		unlockStaticMutex(&translatorlock);
 		return;
@@ -332,7 +331,6 @@
 /*
  * Install the compiled code in the method.
  */
-static
 void
 installMethodCode(Method* meth, nativeCodeInfo* code)
 {
